# azure.mgmt.resourcegraph.models module

exception `azure.mgmt.resourcegraph.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.resourcegraph.models.``Column`(*, name: str, type, **kwargs)

  Bases: `msrest.serialization.Model`

  Query result column descriptor.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Column name.
  - type (str or ColumnDataType) – Required. Column data type. Possible values include: ‘string’, ‘integer’, ‘number’, ‘boolean’, ‘object’

class `azure.mgmt.resourcegraph.models.``Error`(*, code: str, message: str, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error info.

  Error details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. Error code identifying the specific error.
  - message (str) – Required. A human readable error message.
  - details (list[ErrorDetails]) – Error details

class `azure.mgmt.resourcegraph.models.``ErrorDetails`(*, code: str, message: str, additional_properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - additional_properties (dict[str, object]) – Unmatched properties from the message are deserialized this collection
  - code (str) – Required. Error code identifying the specific error.
  - message (str) – Required. A human readable error message.

class `azure.mgmt.resourcegraph.models.``ErrorResponse`(*, error, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response.

  An error response from the API.

  All required parameters must be populated in order to send to Azure.

  Parameters: | error (Error) – Required. Error information.

class `azure.mgmt.resourcegraph.models.``Facet`(*, expression: str, **kwargs)

  Bases: `msrest.serialization.Model`

  A facet containing additional statistics on the response of a query. Can be either FacetResult or FacetError.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: FacetResult, FacetError

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - expression (str) – Required. Facet expression, same as in the corresponding facet request.
  - result_type (str) – Required. Constant filled by server.

class `azure.mgmt.resourcegraph.models.``FacetError`(*, expression: str, errors, **kwargs)

  Bases: `azure.mgmt.resourcegraph.models._models_py3.Facet`

  A facet whose execution resulted in an error.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - expression (str) – Required. Facet expression, same as in the corresponding facet request.
  - result_type (str) – Required. Constant filled by server.
  - errors (list[ErrorDetails]) – Required. An array containing detected facet errors with details.

class `azure.mgmt.resourcegraph.models.``FacetRequest`(*, expression: str, options=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A request to compute additional statistics (facets) over the query results.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - expression (str) – Required. The column or list of columns to summarize by
  - options (FacetRequestOptions) – The options for facet evaluation

class `azure.mgmt.resourcegraph.models.``FacetRequestOptions`(*, sort_by: str = None, sort_order='desc', filter: str = None, top: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The options for facet evaluation.

  Parameters:

  - sort_by (str) – The column name or query expression to sort on. Defaults to count if not present.
  - sort_order (str or FacetSortOrder) – The sorting order by the selected column (count by default). Possible values include: ‘asc’, ‘desc’. Default value: “desc” .
  - filter (str) – Specifies the filter condition for the ‘where’ clause which will be run on main query’s result, just before the actual faceting.
  - top (int) – The maximum number of facet rows that should be returned.

class `azure.mgmt.resourcegraph.models.``FacetResult`(*, expression: str, total_records: int, count: int, data, **kwargs)

  Bases: `azure.mgmt.resourcegraph.models._models_py3.Facet`

  Successfully executed facet containing additional statistics on the response of a query.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - expression (str) – Required. Facet expression, same as in the corresponding facet request.
  - result_type (str) – Required. Constant filled by server.
  - total_records (long) – Required. Number of total records in the facet results.
  - count (int) – Required. Number of records returned in the facet response.
  - data (object) – Required. A table containing the desired facets. Only present if the facet is valid.

class `azure.mgmt.resourcegraph.models.``Operation`(*, name: str = None, display=None, origin: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource Graph REST API operation definition.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – Display metadata associated with the operation.
  - origin (str) – The origin of operations.

class `azure.mgmt.resourcegraph.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Display metadata associated with the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft Resource Graph.
  - resource (str) – Resource on which the operation is performed etc.
  - operation (str) – Type of operation: get, read, delete, etc.
  - description (str) – Description for the operation.

class `azure.mgmt.resourcegraph.models.``QueryRequest`(*, subscriptions, query: str, options=None, facets=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a query to be executed.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - subscriptions (list[str]) – Required. Azure subscriptions against which to execute the query.
  - query (str) – Required. The resources query.
  - options (QueryRequestOptions) – The query evaluation options
  - facets (list[FacetRequest]) – An array of facet requests to be computed against the query result.

class `azure.mgmt.resourcegraph.models.``QueryRequestOptions`(*, skip_token: str = None, top: int = None, skip: int = None, result_format=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The options for query evaluation.

  Parameters:

  - skip_token (str) – Continuation token for pagination, capturing the next page size and offset, as well as the context of the query.
  - top (int) – The maximum number of rows that the query should return. Overrides the page size when ``$skipToken`` property is present.
  - skip (int) – The number of rows to skip from the beginning of the results. Overrides the next page offset when ``$skipToken`` property is present.
  - result_format (str or ResultFormat) – Defines in which format query result returned. Possible values include: ‘table’, ‘objectArray’

class `azure.mgmt.resourcegraph.models.``QueryResponse`(*, total_records: int, count: int, result_truncated, data, skip_token: str = None, facets=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Query result.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - total_records (long) – Required. Number of total records matching the query.
  - count (long) – Required. Number of records returned in the current response. In the case of paging, this is the number of records in the current page.
  - result_truncated (str or ResultTruncated) – Required. Indicates whether the query results are truncated. Possible values include: ‘true’, ‘false’
  - skip_token (str) – When present, the value can be passed to a subsequent query call (together with the same query and subscriptions used in the current request) to retrieve the next page of data.
  - data (object) – Required. Query output in tabular format.
  - facets (list[Facet]) – Query facets.

class `azure.mgmt.resourcegraph.models.``Table`(*, columns, rows, **kwargs)

  Bases: `msrest.serialization.Model`

  Query output in tabular format.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - columns (list[Column]) – Required. Query result column descriptors.
  - rows (list[list[object]]) – Required. Query result rows.

class `azure.mgmt.resourcegraph.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.resourcegraph.models.``ResultFormat`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `object_array` = 'objectArray'
  `table` = 'table'

class `azure.mgmt.resourcegraph.models.``FacetSortOrder`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `asc` = 'asc'
  `desc` = 'desc'

class `azure.mgmt.resourcegraph.models.``ResultTruncated`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `false` = 'false'
  `true` = 'true'

class `azure.mgmt.resourcegraph.models.``ColumnDataType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `boolean` = 'boolean'
  `integer` = 'integer'
  `number` = 'number'
  `object_enum` = 'object'
  `string` = 'string'